import requests
import xmpp
from xmpp import cli
import config
from BotClass import JabberBot
import json
import hashlib
from datetime import datetime

import time
import threading

#test
import jsonAndRequest as jsreq

botname="open_basic_bot"

JID=botname+"@"+config.JSERVER
PORT=config.PORT

PASSWORD=hashlib.md5((botname+config.PASSWORD).encode('utf-8')).hexdigest()

print(JID, PASSWORD)

#таким образом хранится список jid, от которых можно получать сообщения этому боту
listen_to=["test_user@ej.sharix-app.org"]

#тут хранится список jid, кому бот может отправлять сообщения в результате обработки заявки
proceed_to=["another_bot@ej.sharix-app.org"]


# обработчик входящих сообщений
def message_handler(conn, mess):
    text = mess.getBody()#текст сообщения боту
    user = mess.getFrom()#отправитель сообщения
    if (str(user).split("/")[0]) in listen_to:
        if text is not None:
            msg = jsreq.msg_to_text(text)
            bot.bot_log(str(datetime.now())+" Сообщение получено\n")


def open_basic_bot():      
    bot.proceed_status(listen_to[0],{'msg':'some_info'})
    bot.bot_log(botname+" "+str(datetime.now())+" "+"Сообщение отправлено\n")

bot = JabberBot(JID, PASSWORD, PORT)

bot.register_handler('message', message_handler)
bot.start(open_basic_bot)

